/*******************************************************************
*  ABOUT4.CXX
*  (c) 1992 STAR DIVISION
*******************************************************************/

#include <sv.hxx>

#include "about4.hrc"
#include "about4.hxx"

// --- AboutBox::AboutBox() ----------------------------------------

AboutBox::AboutBox( Window* pParent, ResId& rResId ) :
          ModalDialog( pParent, rResId.Lock() ),
          aText( this, ResId( RID_TEXT ) ),
          aButton( this, ResId( RID_OK ) )
{
    aButton.ChangeClickHdl( LINK( this, AboutBox::ButtonHdl ) );
    rResId.Unlock();
}

// --- AboutBox::Paint() -------------------------------------------

void AboutBox::Paint( const Rectangle& )
{
    Brush   aOldBrush;
    Point   aPointAry[3];
    aPointAry[0] = Point( 110,70 );
    aPointAry[1] = Point( 140,30 );
    aPointAry[2] = Point( 170,70 );

    aOldBrush = ChangeFillInBrush( Brush( Color( COL_RED ) ) );
    DrawRect( Rectangle( Point( 20, 10 ), Point( 80, 50 ) ) );

    ChangeFillInBrush( Brush( Color( COL_BLUE ) ) );
    DrawEllipse( Rectangle( Point( 60, 20 ), Point( 130, 60 ) ) );

    ChangeFillInBrush( Brush( Color( COL_GREEN ) ) );
    DrawPolygon( 3, aPointAry );

    ChangeFillInBrush( aOldBrush );
}

// --- AboutBox::ButtonHdl() ---------------------------------------

void AboutBox::ButtonHdl( Button* )
{
    EndDialog();
}

